%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global svnrev 624
%global modname xappy

Name:           python-xappy
Version:        0.6.0
Release:        0.8.svn%{svnrev}%{?dist}
Summary:        An easy-to-use layer on top of the Xapian search engine

Group:          Development/Languages
License:        GPLv2+
URL:            https://code.google.com/p/xappy

# SVN snapshot generated by doing:
# svn checkout http://xappy.googlecode.com/svn/trunk/@r624 ; cd trunk
# echo 'include COPYING_GPL' >> MANIFEST.in
# echo -e '[egg_info]\ntag_build = dev\n\ntag_svn_revision = true' > setup.cfg
# python eggsetup.py sdist --format=bztar
Source0:        http://xappy.googlecode.com/files/xappy-%{version}dev-r%{svnrev}.tar.bz2

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  xapian-bindings-python

Requires:       xapian-bindings-python

%description
The "xappy" python module is an easy-to-use interface to the Xapian
search engine. Xapian provides a low level interface, dealing with terms
and documents, but not really worrying about where terms come from, or
how to build searches to match the way in which data has been indexed. In
contrast, "xappy" allows you to design a field structure, specifying what
kind of information is held in particular fields, and then uses this
field structure to index data appropriately, and to build and perform
searches.

%prep
%setup -q -n %{modname}-%{version}dev-r%{svnrev}
sed -i 1d xappy/cachemanager/xapian_manager.py \
    xappy/cachemanager/generic.py \
    xappy/cachemanager/inmemory_inverter.py \
    xappy/cachemanager/numpy_inverter.py \
    xappy/cachemanager/__init__.py \
    xappy/cachemanager/queryinvert.py

%build
%{__python} setup.py build

%check
PYTHONPATH=$(pwd) nosetests -q

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README COPYING_GPL
%{python_sitelib}/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.8.svn624
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.0-0.7.svn
- Replace python-setuptools-devel BR with python-setuptools

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.6.svn624
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.5.svn624
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.4.svn624
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.3.svn624
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Luke Macken <lmacken@redhat.com> - 0.6.0-0.2.svn624
- Fix a typo in the license
- Shorten the summary
- Require xapian-bindings-python
- Remove shebangs
- Add svn snapshot instructions
- Remove the buildroot tag, buildroot cleaning, and defattr
- Include the license

* Mon Dec 19 2011 Luke Macken <lmacken@redhat.com> - 0.6.0-0.1.svn624
- Initial package of svn snapshot
